package PS::MOPS::Test::DerivedObjectsInterface;

use strict;
use warnings;
our $VERSION = sprintf "%d", q$Revision: $ =~ /(\d+)/g;

use PS::MOPS::Test::DerivedObjects;

use PS::MOPS::DC::Test::Unit::Globals qw($g_TEST_INSTANCE
                                         $g_DERIVEDOBJECTS
                                       );

sub make_test_derivedobjects
{
    $g_DERIVEDOBJECTS=PS::MOPS::Test::DerivedObjects->new(instance=>$g_TEST_INSTANCE);

    return 1 if($g_DERIVEDOBJECTS->make_test_derivedobjects());
    return 0;
}

sub insert_test_derivedobjects
{
    return 1 if($g_DERIVEDOBJECTS->insert_test_derivedobjects());
    return 0;
}

sub retrieve_test_derivedobjects
{
    return 1 if($g_DERIVEDOBJECTS->retrieve_test_derivedobjects());
    return 0;
}

1;
